[SCM] gdal branch, master, updated. upstream/1.10.0-200-g009bec6
Bas Couwenberg
sebastic at xs4all.nl
Mon Oct 14 03:20:11 UTC 2013
The following commit has been merged in the master branch:
commit 56bbbabb1b10ab6fe935b48d29224b9ab6943deb
Author: Bas Couwenberg <sebastic at xs4all.nl>
Date: Fri Oct 4 00:51:41 2013 +0200
Remove data files with unclear rights.
diff --git a/debian/changelog b/debian/changelog
index 40216b2..aab7062 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,9 @@
-gdal (1.10.0-0~exp4) UNRELEASED; urgency=low
+gdal (1.10.0+dfsg-0~exp4) UNRELEASED; urgency=low
* Add myself to Uploaders.
* Update watch file.
+ * Remove data files with unclear rights.
+ (closes: #721343)
-- Bas Couwenberg <sebastic at xs4all.nl> Thu, 03 Oct 2013 23:19:27 +0200
diff --git a/debian/copyright b/debian/copyright
index 5e181d3..0ca3c51 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -2,6 +2,24 @@ Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: GDAL/OGR
Upstream-Contact: The GDAL/OGR project team, Frank Warmerdam <warmerdam at pobox.com>
Source: http://www.gdal.org/
+Comment: Several data files with unclear rights are removed to create
+ the +dfsg version.
+ .
+ gdal/data/cubewerx_extra.wkt
+ Derived from definitions distributed by Cubewerx.
+ See http://trac.osgeo.org/gdal/ticket/2165
+ .
+ gdal/data/ecw_cs.wkt
+ Derived via much processing from ERMapper GDT definitions.
+ See http://trac.osgeo.org/gdal/ticket/2162
+ .
+ gdal/data/esri_extra.wkt
+ Derived with some processing from projections definitions in ArcGIS.
+ See http://trac.osgeo.org/gdal/ticket/2163
+ .
+Files-Excluded: data/cubewerx_extra.wkt
+ data/ecw_cs.wkt
+ data/esri_extra.wkt
File: *
Copyright: 2000, Frank Warmerdam <warmerdam at pobox.com>
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..010a838
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,56 @@
+#!/bin/sh -x
+# Repack tarball because of data files with unknown license
+
+set -e
+
+# Remark: A new uscan that enables easier handling of removing files can be
+# obtained via
+# git clone git://tille@git.debian.org/git/users/tille/devscripts.git
+# and then copy scripts/uscan.pl as uscan at the beginning of your PATH
+if uscan --help | grep -q -- --repack-compression ; then
+ echo "Use new enhanced uscan"
+ uscan --verbose --force-download
+ exit
+fi
+
+# Falling back to manually removing files
+
+PACKAGE=`dpkg-parsechangelog | sed -n 's/^Source: //p'`
+VERSION=`dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//'`
+
+uscan --verbose --force-download --no-symlink
+
+mkdir -p ../tarballs
+cd ../tarballs
+
+tar -xaf ../${PACKAGE}-${VERSION}.tar.*
+
+# Directory in upstream tarball can contain the project name twice
+if [ -d "${PACKAGE}-${PACKAGE}-${VERSION}" ]; then
+ mv ${PACKAGE}-${PACKAGE}-${VERSION} ${PACKAGE}-${VERSION}
+fi
+
+# Remove files with unclear rights
+#
+# gdal/data/cubewerx_extra.wkt
+# Derived from definitions distributed by Cubewerx.
+# See http://trac.osgeo.org/gdal/ticket/2165
+#
+# gdal/data/ecw_cs.dat
+# Derived via much processing from ERMapper GDT definitions.
+# See http://trac.osgeo.org/gdal/ticket/2162
+#
+# gdal/data/esri_extra.wkt
+# Derived with some processing from projections definitions in ArcGIS.
+# See http://trac.osgeo.org/gdal/ticket/2163
+
+rm ${PACKAGE}-${VERSION}/data/cubewerx_extra.wkt
+rm ${PACKAGE}-${VERSION}/data/ecw_cs.wkt
+rm ${PACKAGE}-${VERSION}/data/esri_extra.wkt
+
+mv ${PACKAGE}-${VERSION} ${PACKAGE}-${VERSION}+dfsg.orig
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf ../"${PACKAGE}"_"${VERSION}"+dfsg.orig.tar.gz "${PACKAGE}-${VERSION}"+dfsg.orig
+
+rm -rf "${PACKAGE}-${VERSION}"+dfsg.orig
+
diff --git a/debian/rules b/debian/rules
index 2d598be..5113d00 100755
--- a/debian/rules
+++ b/debian/rules
@@ -237,4 +237,7 @@ binary-indep: build install
binary: binary-arch binary-indep
+get-orig-source:
+ . debian/get-orig-source
+
.PHONY: build clean binary-arch binary-indep binary-common binary install gdal-grass-dist versions build-arch build-indep
diff --git a/debian/watch b/debian/watch
index 5eb2750..3d26545 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,4 +1,5 @@
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://trac.osgeo.org/gdal/wiki/DownloadSource \
-(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
+(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) \
+debian debian/get-orig-source
--
GDAL/OGR library and tools
More information about the Pkg-grass-devel
mailing list